<script type="text/javascript">
$(document).ready(function(){
	$("#input_sj").hide();
	$("#data_detail").hide();
	
	cari_user();
	
	function cari_user(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	    : "modul/surat_jln/cari_user.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_user").val(data.user);
				cek_pending();
			}
		});
	}
	
	function cek_pending(){
		var no = 1;
		
		$.ajax({
			type	: "POST",
			url		: "modul/surat_jln/cek_data_pending.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.kode);
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_nomorsa").val(data.nomorsa);
				$("#txt_kodesp").val(data.kodesp);
				$("#txt_namasp").val(data.namasp);
				$("#txt_kodedv").val(data.kodedv);
				$("#txt_namadv").val(data.namadv);
				$("#txt_nopol").val(data.nopol);
				var kode = $("#txt_kode").val();
				
				if(!kode==''){
					$('#input_sj').show();
					cari_nourut();
					tampil_data_detail();
					$("#txt_namapl").focus();
				}
				else $("#mulai").focus();
			}
		});
	}
	
	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		$(".input_bayar").val('');
		$("#input_sj").show();
		$("#data_detail").show();
		cari_tanggal();
	});
	
	function cari_tanggal(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	    : "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
		
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		
		$.ajax({
			type	: "POST",
			url	    : "modul/surat_jln/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				$("#input_pj").show();
				cari_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/surat_jln/tampil_data_detail.php?kode="+kode);
		cari_total();
	}
	
	function cari_total(){
		var kode=$("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url	    : "modul/surat_jln/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_tunit").val(data.tunit);
				$("#txt_total").val(data.total);
				$("#txt_ctotal").val(data.total);
				format_total();
			}
		});
	}
	
	function format_total(){
		var angka 	= $("#txt_total").val();
		var jhuruf	= angka.length;
				
		$.ajax({
			type	: "POST",
			url	    : "modul/surat_jln/format_rupiah.php",
			data	: "angka="+angka+
					"&jhuruf="+jhuruf,
			dataType: "json",
			success	: function(data){				
				$("#txt_ctotal").val(data.huruf);
				var ctotal=$("#txt_ctotal").val();				
			}
		});
	}
	
	$('#txt_tanggal').keyup(function(){
		cari_nomor();
	});
	
	function cari_nourut(){
		var kode = $("#txt_kode").val();
				
		$.ajax({
			type	: "POST",
			url	    : "modul/surat_jln/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	$('#form_cari_sa').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#txt_nomorsa').keyup(function(){
		$('#form_cari_sa').dialog('open');
		$("#info_sa").load('modul/surat_jln/tampil_data_sa.php');
	});
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#txt_namapl').keyup(function(){
		var cari= $("#txt_cariplg").val();
		$('#form_cari_plg').dialog('open');
		$("#info_pelanggan").load('modul/surat_jln/tampil_data_plg.php?cari='+cari);
		$("#txt_cariplg").focus();
	});
	
	$("#txt_cariplg").keyup(function(){
		$("#info_pelanggan").show();
		var cari	= $("#txt_cariplg").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/surat_jln/tampil_data_plg.php",
			data	: "cari="+cari,
			success	: function(data){
				$("#info_pelanggan").html(data);
			}
		});
	});
	
	$("#txt_jmlunit").keyup(function(){
		hitung_jumlah();
	});
	
	$("#txt_hgjual").keyup(function(){
		hitung_jumlah();
	});
		
	function hitung_jumlah(){
		var unit	=$("#txt_jmlunit").val();
		var hgjual	=$("#txt_hgjual").val();
		
		if(unit=='') var unit=0;
		else var unit	=parseInt(unit);
		
		if(hgjual=='')  var hgjual=0
		else var hgjual =parseInt(hgjual);
		
		var tjumlah	=unit*parseInt(hgjual);
		$("#txt_jumlah").val(tjumlah);
	}
	
	$("#simpan").click(function(){
		simpan_data();
	});
		
	function simpan_data(){
		var kode	= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var nomorsa	= $("#txt_nomorsa").val();
		var kodesp 	= $("#txt_kodesp").val();
		var namasp 	= $("#txt_namasp").val();
		var kodedv 	= $("#txt_kodedv").val();
		var nopol  	= $("#txt_nopol").val();
		var nourut	= $("#txt_nourut").val();
		var kodepl	= $("#txt_kodepl").val();
		var namapl	= $("#txt_namapl").val();
		var jmlunit	= $("#txt_jmlunit").val();
		var hgjual	= $("#txt_hgjual").val();
		var jumlah	= $("#txt_jumlah").val();
		var nokas 	= $("#txt_nokas").val();
		var user	= $("#txt_user").val();
		
		if(kode.length == 0){
           alert("Maaf, Nomor surat jalan masih kosong, klik Buat Surat Jalan untuk buat nomor baru.");
		   $("#mulai").focus();
		   return (false);
        }

		if(kodepl.length == 0){
           alert("Maaf, Kode pelanggan tidak boleh kosong.");
		   $("#txt_namapl").focus();
		   return (false);
        }

		if(jmlunit.length == 0){
           alert("Maaf, Jumlah unit tidak boleh kosong.");
		   $("#txt_jmlunit").focus();
		   return (false);
        }
		
		if(hgjual.length == 0){
			alert("Maaf, harga jual tidak boleh kosong.");
			$("#txt_hgjual").focus();
		    return (false);
		}

		$.ajax({
			type	: "POST",
			url	    : "modul/surat_jln/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&nomorsa="+nomorsa+
					"&kodesp="+kodesp+
					"&namasp="+namasp+
					"&kodedv="+kodedv+
					"&nopol="+nopol+
					"&nourut="+nourut+
					"&kodepl="+kodepl+
					"&namapl="+namapl+
					"&jmlunit="+jmlunit+
					"&hgjual="+hgjual+
					"&jumlah="+jumlah+
					"&nokas="+nokas+
					"&user="+user,
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_caribr").val('');
				cari_nourut();
				tampil_data_detail();
				$("#txt_namast").focus();
			}
		});
	}
	
	$('#form_lihat_detail').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$("#detail").click(function(){
		$('#form_lihat_detail').dialog('open');
		var kode = $("#txt_kode").val();
		$("#lihat_detail").show();
		$("#lihat_detail").load("modul/surat_jln/tampil_detail.php?kode="+kode);
	});

	$("#rekam_pj").click(function(){
		var kode		= $("#txt_kode").val();
		var tanggal 	= $("#txt_tanggal").val();
		var nomorsa 	= $("#txt_nomorsa").val();
		var kodesp  	= $("#txt_kodesp").val();
		var namasp  	= $("#txt_namasp").val();
		var tunit			= $("#txt_tunit").val();
		var total			= $("#txt_total").val();
		var user    	= $("#txt_user").val();
		
		if(kode.length == 0){
           alert("Maaf, Nomor surat jalan masih kosong, klik Buat Surat Jalan untuk buat nomor baru.");
		   return (false);
        }

		if(total.length == 0){
			alert("Maaf, data input surat jalan masih kosong.");
			$("#txt_kodest").focus();
			return (false);
        }

		$.ajax({
			type	: "POST",
			url	    : "modul/surat_jln/simpan_sj.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal+
				"&nomorsa="+nomorsa+
				"&kodesp="+kodesp+
				"&namasp="+namasp+
				"&total="+total+
				"&tunit="+tunit+
				"&user="+user,
			success	: function(data){
				$("#info").html(data);
				$("#data_detail").hide();
				$("#cetak_sj").focus();
				$("#txt_posting").val('P');
			}
		});
	});

	$("#batal_sj").click(function(){
		var kode	= $("#txt_kode").val();
		
		if(kode.length == 0){
           var error = true;
           alert("Maaf, Nomor faktur  masih kosong.");
		   return (false);
        }

		var pilih = confirm('Apakah Anda sungguh-sungguh ingin membatalkan input '+kode+' ?');
		if (pilih==true) {
			var	kode	= $("#txt_kode").val();
			$.ajax({
				type	: "POST",
				url	    : "modul/surat_jln/batal_input.php",
				data	: "kode="+kode,
				success	: function(data){
					$("#info").html(data);
					$(".input_detail").val('');
					$(".input_header").val('');
					$("#txt_caribr").val('');
					$("#input_pj").hide();
					$("#data_detail").hide();
					$("#mulai").focus();
				}
			});
		}
	});

	$("#cetak_sj").click(function(){
		var kode	= $("#txt_kode").val();
		var tanggal	= $("#txt_tanggal").val();
		var namasp 	= $("#txt_namasp").val();
		var namadv  = $("#txt_namadv").val();
		var nopol   = $("#txt_nopol").val();
		var total	= $("#txt_total").val();
		var posting = $("#txt_posting").val();
		
		if(total.length == 0){
			alert("Maaf, Nomor surat jalan masih kosong. Klik tombol Buat Surat Jalan untuk mulai.");
			$("#mulai").focus();
			return (false);
        }

		if(posting.length == 0){
			alert("Maaf, data surat jalan belum direkam.");
			$("#rekam_sj").focus();
			return (false);
        }
		window.location.href='modul/laporan/surat_jln.php?kode='+kode+'&tanggal='+tanggal+'&namasp='+namasp+'&namadv='+namadv+'&nopol='+nopol;
		$("#mulai").focus();
	});

	$("#tutup").click(function(){
		var	total	 = $("#txt_total").val();
		
		if(!(total.length == 0)){
			var error = true;
			alert("Maaf, data penjualan belum direkam.");
			$("#txt_bayar").focus();
			return (false);
        }
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
#txt_ctotal{
	font-size:25px;
	background:#CCC;
}
.data_detail{
	font-size:14px;
}
.input_detail readonly {
	background:#CCC;
}
.button {
	color:blue;
}
</style>

<?php
include "../../inc/inc.koneksi.php";

echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_user' id='txt_user' hidden/>
		<input type='text' name='txt_posting' id='txt_posting' class='input_header' hidden />
		<td width='9%'>No.Surat Jalan</td>
		<td>: <input type='text' name='txt_kode' id='txt_kode' size='12' class='input_header' readonly /></td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' class='input_header' ></td>
		<td>Nomor SA : <input type='text' name='txt_nomorsa' id='txt_nomorsa' size='15' class='input_header'></td>
		<td>SPBE : <input type='text' name='txt_kodesp' id='txt_kodesp' size='4' class='input_header'> <input type='text' name='txt_namasp' id='txt_namasp' size='25' class='input_header' readonly /></td>
		<td>Outstanding : <input type='text' name='txt_outstan' id='txt_outstan' size='8' class='input_header'> tabung</td>
	</tr>
	</table>
	
	<table width='100%'>
	<tr>
		<td width='9%'>Pengemudi</td>
		<td width='27%'>: <select id='txt_kodedv' class='input_header'>";
			$sql = mysql_query("SELECT * FROM driver ORDER BY kode_dv");
			
			while($r=mysql_fetch_array($sql)){
				$kodedv = $r[kode_dv];
				echo "<option value='$kodedv'>$kodedv - $r[nama_dv]</option>";
			}
			echo "</select>
		</td>
		<td>Nomor Polisi : <select id='txt_nopol' class='input_header'>";
			$sql = mysql_query("SELECT * FROM truk ORDER BY nopol");
			
			while($r=mysql_fetch_array($sql)){
				$nopol = $r[nopol];
				echo "<option value='$nopol'>$nopol - $r[nama_kd]</option>";
			}
			echo "</select>
		</td>
	</tr>
	</table>
	<hr>";

echo "<div id='form_input'>
	<table>
		<tr>
			<th>Nama Pangkalan</th>
			<th>Kode</th>
			<th>Jumlah Unit</th>
			<th>Harga Satuan</th>
			<th>Pembayaran</th>
			<th></th>
			<th>Jumlah Harga</th>
		</tr>
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' class='input_detail' size='6' hidden/>
			<td align='center'><input type='text' name='txt_namapl' id='txt_namapl' class='input_detail' size='30' ></td>
			<td align='center'><input type='text' name='txt_kodepl' id='txt_kodepl' class='input_detail' size='4' readonly/></td>
			<td align='center'><input type='text' name='txt_jmlunit' id='txt_jmlunit' class='input_detail' size='10' maxlength='10'></td>
			<td align='center'><input type='text' name='txt_hgjual' id='txt_hgjual' class='input_detail' size='10' maxlength='10'></td>
			<td><select id='txt_nokas' class='input_header'>";
				$sql = mysql_query("SELECT * FROM akun_bb WHERE noakun BETWEEN '11101' AND '11119' ORDER BY noakun");
				while($r=mysql_fetch_array($sql)){
					$noakun = $r[noakun];
					echo "<option value='$noakun'>$noakun - $r[naakun]</option>";
				}
				echo "</select>
			</td>
			<td><button name='simpan' id='simpan'>Rekam</button></td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='12' maxlength='12'></td>			
		</tr>
	</table>
	<hr>
	</div>";

echo "<div id='input_sj'>
	<table width='100%'>
	<tr>
		<input align='right' type='text' name='txt_tunit' id='txt_tunit' class='input_header' hidden />
		<input align='right' type='text' name='txt_total' id='txt_total' class='input_header' hidden />
		<td>Total : <input style='color:maroon' align='right' type='text' name='txt_ctotal' id='txt_ctotal' class='input_bayar' size='9' readonly /></td>
		<td><button name='rekam_sj' id='rekam_sj'>Rekam Surat Jalan</button>
			<button name='cetak_sj' id='cetak_sj'>Cetak Surat Jalan</button>
			<button name='batal_sj' id='batal_sj'>Batal</button>
		</td>
		<td align='right'>
			<button name='detail' id='detail'>Lihat Detail</button>
		</td>
	</tr>
	</table>
	</div>";

echo "<div id='form_cari_plg' title='Pencarian Data Pangkalan'>
		<table width='100%'>
			<tr>
				<td>Cari Pangkalan : <input type='text' name='txt_cariplg' id='txt_cariplg' size='40'></td>
			</tr>
		</table>
		<div id='info_pelanggan' align='center' style='overflow-x: auto;height: 350px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='form_cari_sa' title='Pencarian Nomor SA'>
		<div id='info_sa' align='center' style='overflow-x: auto;height: 300px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='data_detail' style='overflow-x: auto;height: 300px;scroll-behavior: smooth'></div>";
	
echo "<div id='form_lihat_detail' title='Detail nota'>
		<div id='lihat_nota' style='overflow-x: auto;height: 350px;scroll-behavior: smooth'></div>
	</div>";
		
echo "<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
			<button name='mulai' id='mulai'>Buat Surat Jalan</button>
			<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>";
?>